When installed this deletes all VM's and fails, and then only memtest is visible to Grub.

Asked by Douglas Gross on 2018-05-14

w3tech-dev PiLFS # apt install pbuilder android-permissions
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  cowdancer
Recommended packages:
  devscripts
The following packages will be REMOVED:
  linux-image-4.10.0-38-generic linux-image-4.4.0-124-generic
  linux-image-4.4.0-53-generic linux-image-extra-4.10.0-38-generic
  linux-image-extra-4.4.0-124-generic linux-image-extra-4.4.0-53-generic
  linux-kernel-generic
The following NEW packages will be installed:
  android-permissions pbuilder
0 upgraded, 2 newly installed, 7 to remove and 0 not upgraded.
Need to get 324 kB of archives.
After this operation, 667 MB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu xenial/universe amd64 android-permissions all 0.2 [7,096 B]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 pbuilder all 0.223 [317 kB]
Fetched 324 kB in 0s (383 kB/s)
Preconfiguring packages ...
(Reading database ... 355768 files and directories currently installed.)
Removing linux-kernel-generic (4.10.0-38) ...
Removing linux-image-extra-4.10.0-38-generic (4.10.0-38.42~16.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
update-initramfs: Generating /boot/initrd.img-4.10.0-38-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.10.0-38-generic
Found initrd image: /boot/initrd.img-4.10.0-38-generic
Found linux image: /boot/vmlinuz-4.4.0-124-generic
Found initrd image: /boot/initrd.img-4.4.0-124-generic
Found linux image: /boot/vmlinuz-4.4.0-53-generic
Found initrd image: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Removing linux-image-4.10.0-38-generic (4.10.0-38.42~16.04.1) ...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
dkms: removing: ndiswrapper 1.60 (4.10.0-38-generic) (x86_64)

-------- Uninstall Beginning --------
Module: ndiswrapper
Version: 1.60
Kernel: 4.10.0-38-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ndiswrapper.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-38-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.
dkms: removing: virtualbox 5.1.34 (4.10.0-38-generic) (x86_64)

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.1.34
Kernel: 4.10.0-38-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-38-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetadp.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-38-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetflt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-38-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxpci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-38-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
update-initramfs: Deleting /boot/initrd.img-4.10.0-38-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.10.0-38-generic /boot/vmlinuz-4.10.0-38-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-124-generic
Found initrd image: /boot/initrd.img-4.4.0-124-generic
Found linux image: /boot/vmlinuz-4.4.0-53-generic
Found initrd image: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
The link /vmlinuz is a damaged link
Removing symbolic link vmlinuz
 you may need to re-run your boot loader[grub]
The link /initrd.img is a damaged link
Removing symbolic link initrd.img
 you may need to re-run your boot loader[grub]
Removing linux-image-extra-4.4.0-124-generic (4.4.0-124.148) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-124-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-124-generic
Found initrd image: /boot/initrd.img-4.4.0-124-generic
Found linux image: /boot/vmlinuz-4.4.0-53-generic
Found initrd image: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Removing linux-image-4.4.0-124-generic (4.4.0-124.148) ...
WARN: Proceeding with removing running kernel image.
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
dkms: removing: ndiswrapper 1.60 (4.4.0-124-generic) (x86_64)

-------- Uninstall Beginning --------
Module: ndiswrapper
Version: 1.60
Kernel: 4.4.0-124-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ndiswrapper.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-124-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.
dkms: removing: virtualbox 5.1.34 (4.4.0-124-generic) (x86_64)

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.1.34
Kernel: 4.4.0-124-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-124-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetadp.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-124-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetflt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-124-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxpci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-124-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 5.1.34
completely from the DKMS tree.
------------------------------
Done.
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
update-initramfs: Deleting /boot/initrd.img-4.4.0-124-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-124-generic /boot/vmlinuz-4.4.0-124-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-53-generic
Found initrd image: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
The link /vmlinuz.old is a damaged link
Removing symbolic link vmlinuz.old
 you may need to re-run your boot loader[grub]
The link /initrd.img.old is a damaged link
Removing symbolic link initrd.img.old
 you may need to re-run your boot loader[grub]
Removing linux-image-extra-4.4.0-53-generic (4.4.0-53.74) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-53-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-53-generic
Found initrd image: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Removing linux-image-4.4.0-53-generic (4.4.0-53.74) ...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
dkms: removing: ndiswrapper 1.60 (4.4.0-53-generic) (x86_64)

-------- Uninstall Beginning --------
Module: ndiswrapper
Version: 1.60
Kernel: 4.4.0-53-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ndiswrapper.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-53-generic/updates/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 1.60
completely from the DKMS tree.
------------------------------
Done.
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
update-initramfs: Deleting /boot/initrd.img-4.4.0-53-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-53-generic /boot/vmlinuz-4.4.0-53-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Selecting previously unselected package android-permissions.
(Reading database ... 338530 files and directories currently installed.)
Preparing to unpack .../android-permissions_0.2_all.deb ...
Unpacking android-permissions (0.2) ...
Selecting previously unselected package pbuilder.
Preparing to unpack .../pbuilder_0.223_all.deb ...
Unpacking pbuilder (0.223) ...
Processing triggers for doc-base (0.10.7) ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Processing triggers for man-db (2.7.5-1) ...
Setting up android-permissions (0.2) ...
groupadd: GID '1000' already exists
dpkg: error processing package android-permissions (--configure):
 subprocess installed post-installation script returned error exit status 4
Setting up pbuilder (0.223) ...
Errors were encountered while processing:
 android-permissions
E: Sub-process /usr/bin/dpkg returned an error code (1)
w3tech-dev PiLFS # dpkg --configure android-permissions
Setting up android-permissions (0.2) ...
groupadd: GID '1000' already exists
dpkg: error processing package android-permissions (--configure):
 subprocess installed post-installation script returned error exit status 4
Errors were encountered while processing:
 android-permissions
w3tech-dev PiLFS # apt remove android-permissions
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  android-permissions
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 50.2 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 338630 files and directories currently installed.)
Removing android-permissions (0.2) ...
w3tech-dev PiLFS # apt remove virtualbox
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libgsoap8 libvncserver1
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  virtualbox virtualbox-ext-pack virtualbox-qt
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
After this operation, 100 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 338626 files and directories currently installed.)
Removing virtualbox-qt (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Removing virtualbox-ext-pack (5.1.34-0ubuntu1.16.04.2) ...
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
Successfully uninstalled "Oracle VM VirtualBox Extension Pack".
Successfully performed extension pack cleanup
Removing virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
w3tech-dev PiLFS # apt install virtualbox virtualbox-ext-pack virtualbox-qt
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  vde2
The following NEW packages will be installed:
  virtualbox virtualbox-ext-pack virtualbox-qt
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 23.3 MB of archives.
After this operation, 100 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 virtualbox amd64 5.1.34-dfsg-0ubuntu1.16.04.2 [15.8 MB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 virtualbox-ext-pack all 5.1.34-0ubuntu1.16.04.2 [11.6 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 virtualbox-qt amd64 5.1.34-dfsg-0ubuntu1.16.04.2 [7,515 kB]
Fetched 23.3 MB in 9s (2,374 kB/s)
Preconfiguring packages ...
Selecting previously unselected package virtualbox.
(Reading database ... 338313 files and directories currently installed.)
Preparing to unpack .../virtualbox_5.1.34-dfsg-0ubuntu1.16.04.2_amd64.deb ...
Unpacking virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Selecting previously unselected package virtualbox-ext-pack.
Preparing to unpack .../virtualbox-ext-pack_5.1.34-0ubuntu1.16.04.2_all.deb ...
License has already been accepted.
Unpacking virtualbox-ext-pack (5.1.34-0ubuntu1.16.04.2) ...
Selecting previously unselected package virtualbox-qt.
Preparing to unpack .../virtualbox-qt_5.1.34-dfsg-0ubuntu1.16.04.2_amd64.deb ...
Unpacking virtualbox-qt (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Processing triggers for systemd (229-4ubuntu21.2) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) ...
vboxweb.service is a disabled or a static unit, not starting it.
Job for virtualbox.service failed because the control process exited with error code. See "systemctl status virtualbox.service" and "journalctl -xe" for details.
invoke-rc.d: initscript virtualbox, action "restart" failed.
‚óŹ virtualbox.service - LSB: VirtualBox Linux kernel module
   Loaded: loaded (/etc/init.d/virtualbox; bad; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sun 2018-05-13 20:57:23 EDT; 9ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 24183 ExecStart=/etc/init.d/virtualbox start (code=exited, status=1/FAILURE)

May 13 20:57:23 w3tech-dev systemd[1]: Stopped LSB: VirtualBox Linux kernel...e.
May 13 20:57:23 w3tech-dev systemd[1]: Starting LSB: VirtualBox Linux kerne.....
May 13 20:57:23 w3tech-dev virtualbox[24183]: * Loading VirtualBox kernel m....
May 13 20:57:23 w3tech-dev virtualbox[24183]: * No suitable module for runn...d
May 13 20:57:23 w3tech-dev virtualbox[24183]: ...fail!
May 13 20:57:23 w3tech-dev systemd[1]: virtualbox.service: Control process ...=1
May 13 20:57:23 w3tech-dev systemd[1]: Failed to start LSB: VirtualBox Linu...e.
May 13 20:57:23 w3tech-dev systemd[1]: virtualbox.service: Unit entered fai...e.
May 13 20:57:23 w3tech-dev systemd[1]: virtualbox.service: Failed with resu...'.
Hint: Some lines were ellipsized, use -l to show in full.
Setting up virtualbox-ext-pack (5.1.34-0ubuntu1.16.04.2) ...
virtualbox-ext-pack: downloading: http://download.virtualbox.org/virtualbox/5.1.34/Oracle_VM_VirtualBox_Extension_Pack-5.1.34.vbox-extpack
The file will be downloaded into /usr/share/virtualbox-ext-pack
WARNING: The character device /dev/vboxdrv does not exist.
  Please install the virtualbox-dkms package and the appropriate
  headers, most likely linux-headers-generic.

  You will not be able to start VMs until this problem is fixed.
License accepted.
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
Successfully installed "Oracle VM VirtualBox Extension Pack".
Setting up virtualbox-qt (5.1.34-dfsg-0ubuntu1.16.04.2) ...
w3tech-dev PiLFS # apt install virtualbox-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
virtualbox-dkms is already the newest version (5.1.34-dfsg-0ubuntu1.16.04.2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
w3tech-dev PiLFS # apt install --reinstall virtualbox-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 648 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 virtualbox-dkms all 5.1.34-dfsg-0ubuntu1.16.04.2 [648 kB]
Fetched 648 kB in 1s (514 kB/s)
(Reading database ... 338627 files and directories currently installed.)
Preparing to unpack .../virtualbox-dkms_5.1.34-dfsg-0ubuntu1.16.04.2_all.deb ...
Unpacking virtualbox-dkms (5.1.34-dfsg-0ubuntu1.16.04.2) over (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Setting up virtualbox-dkms (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Loading new virtualbox-5.1.34 DKMS files...
dpkg: warning: version '*-*' has bad syntax: version number does not start with digit
It is likely that 4.4.0-124-generic belongs to a chroot's host
Building initial module for 4.4.0-124-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-124-generic/updates/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-124-generic/updates/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-124-generic/updates/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-124-generic/updates/

depmod....

DKMS: install completed.
w3tech-dev PiLFS # apt autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
w3tech-dev PiLFS # apt-cache search debootstrap
debootstrap - Bootstrap a basic Debian system
pbuilder - personal package builder for Debian packages
android-permissions - create gids that represent Android permissions
cdebootstrap - Bootstrap a Debian system
cdebootstrap-static - Bootstrap a Debian system - static binary
debootstick - Turn a chroot environment into a bootable image
ganeti-instance-debootstrap - debootstrap-based instance OS definition for ganeti
grml-debootstrap - wrapper around debootstrap for installing pure Debian
multistrap - multiple repository bootstrap based on apt
rinse - RPM installation environment
vmdebootstrap - Bootstrap Debian into a (virtual machine) disk image
w3tech-dev PiLFS # apt install cdebootstrap* debootstick ganeti-instance-debootstrap grml-debootstrap multistrap vmdebootstrap rinse
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'cdebootstrap-static' for glob 'cdebootstrap*'
Note, selecting 'cdebootstrap' for glob 'cdebootstrap*'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 debootstick : Depends: grub-efi-amd64-bin
               Depends: grub-efi-ia32-bin
E: Unable to correct problems, you have held broken packages.
w3tech-dev PiLFS # update-grub
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
w3tech-dev PiLFS # apt install grub-efi-amd64-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 grub-efi-amd64-bin : Depends: grub-common (= 2.02~beta2-36ubuntu3.14+linuxmint1)
E: Unable to correct problems, you have held broken packages.
w3tech-dev PiLFS # apt install grub2
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  grub-common:i386 grub-gfxpayload-lists:i386 grub-pc:i386 grub-pc-bin:i386
  grub2-common:i386 libdevmapper1.02.1:i386 libfuse2:i386
Suggested packages:
  multiboot-doc:i386 grub-emu:i386 xorriso:i386 desktop-base:i386
  console-setup:i386 fuse:i386
Recommended packages:
  os-prober:i386
The following packages will be REMOVED:
  grub-common grub-gfxpayload-lists grub-pc grub-pc-bin grub2-common
The following NEW packages will be installed:
  grub-common:i386 grub-gfxpayload-lists:i386 grub-pc:i386 grub-pc-bin:i386
  grub2 grub2-common:i386 libdevmapper1.02.1:i386 libfuse2:i386
0 upgraded, 8 newly installed, 5 to remove and 0 not upgraded.
Need to get 4,261 kB of archives.
After this operation, 4,937 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://packages.linuxmint.com sylvia/upstream i386 grub-common i386 2.02~beta2-36ubuntu3.14+linuxmint1 [2,345 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main i386 libdevmapper1.02.1 i386 2:1.02.110-1ubuntu10 [151 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 libfuse2 i386 2.9.4-1ubuntu3.1 [99.5 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/main i386 grub-gfxpayload-lists i386 0.7 [3,676 B]
Get:5 http://packages.linuxmint.com sylvia/upstream i386 grub2-common i386 2.02~beta2-36ubuntu3.14+linuxmint1 [546 kB]
Get:6 http://packages.linuxmint.com sylvia/upstream i386 grub-pc-bin i386 2.02~beta2-36ubuntu3.14+linuxmint1 [915 kB]
Get:7 http://packages.linuxmint.com sylvia/upstream i386 grub-pc i386 2.02~beta2-36ubuntu3.14+linuxmint1 [197 kB]
Get:8 http://packages.linuxmint.com sylvia/upstream amd64 grub2 amd64 2.02~beta2-36ubuntu3.14+linuxmint1 [2,516 B]
Fetched 4,261 kB in 2s (1,589 kB/s)
Preconfiguring packages ...
(Reading database ... 338626 files and directories currently installed.)
Removing grub-pc (2.02~beta2-36ubuntu3.17) ...
Removing grub-gfxpayload-lists (0.7) ...
Removing grub2-common (2.02~beta2-36ubuntu3.17) ...
Removing grub-pc-bin (2.02~beta2-36ubuntu3.17) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Selecting previously unselected package libdevmapper1.02.1:i386.
(Reading database ... 338297 files and directories currently installed.)
Preparing to unpack .../libdevmapper1.02.1_2%3a1.02.110-1ubuntu10_i386.deb ...
Unpacking libdevmapper1.02.1:i386 (2:1.02.110-1ubuntu10) ...
Selecting previously unselected package libfuse2:i386.
Preparing to unpack .../libfuse2_2.9.4-1ubuntu3.1_i386.deb ...
Unpacking libfuse2:i386 (2.9.4-1ubuntu3.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
dpkg: grub-common: dependency problems, but removing anyway as you requested:
 lupin-support depends on grub-common (>= 2.00-5).
 os-prober depends on grub-common.

(Reading database ... 338301 files and directories currently installed.)
Removing grub-common (2.02~beta2-36ubuntu3.17) ...
Processing triggers for man-db (2.7.5-1) ...
Selecting previously unselected package grub-common:i386.
(Reading database ... 338234 files and directories currently installed.)
Preparing to unpack .../grub-common_2.02~beta2-36ubuntu3.14+linuxmint1_i386.deb ...
Unpacking grub-common:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Selecting previously unselected package grub2-common:i386.
Preparing to unpack .../grub2-common_2.02~beta2-36ubuntu3.14+linuxmint1_i386.deb ...
Unpacking grub2-common:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Selecting previously unselected package grub-pc-bin:i386.
Preparing to unpack .../grub-pc-bin_2.02~beta2-36ubuntu3.14+linuxmint1_i386.deb ...
Unpacking grub-pc-bin:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Selecting previously unselected package grub-gfxpayload-lists:i386.
Preparing to unpack .../grub-gfxpayload-lists_0.7_i386.deb ...
Unpacking grub-gfxpayload-lists:i386 (0.7) ...
Selecting previously unselected package grub-pc:i386.
Preparing to unpack .../grub-pc_2.02~beta2-36ubuntu3.14+linuxmint1_i386.deb ...
Unpacking grub-pc:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Selecting previously unselected package grub2.
Preparing to unpack .../grub2_2.02~beta2-36ubuntu3.14+linuxmint1_amd64.deb ...
Unpacking grub2 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Processing triggers for systemd (229-4ubuntu21.2) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Setting up libdevmapper1.02.1:i386 (2:1.02.110-1ubuntu10) ...
Setting up libfuse2:i386 (2.9.4-1ubuntu3.1) ...
Setting up grub-common:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...

Configuration file '/etc/grub.d/10_linux'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ? Your options are:
    Y or I : install the package maintainer's version
    N or O : keep your currently-installed version
      D : show the differences between the versions
      Z : start a shell to examine the situation
 The default action is to keep your current version.
*** 10_linux (Y/I/N/O/D/Z) [default=N] ? i
Installing new version of config file /etc/grub.d/10_linux ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up grub2-common:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Setting up grub-pc-bin:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Setting up grub-pc:i386 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Installing for i386-pc platform.
Installation finished. No error reported.
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up grub2 (2.02~beta2-36ubuntu3.14+linuxmint1) ...
Setting up grub-gfxpayload-lists:i386 (0.7) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
w3tech-dev PiLFS # update-grub
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu android-permissions Edit question
Assignee:
No assignee Edit question
Last query:
2018-05-14
Last reply:
2018-05-14
Manfred Hampl (m-hampl) said : #1

This is a question area for Ubuntu. Linux Mint is not supported here.
See https://linuxmint.com/contactus.php and https://forums.linuxmint.com/ for help with Linux Mint.

Can you help with this problem?

Provide an answer of your own, or ask Douglas Gross for more information if necessary.

To post a message you must log in.